Bug 842283 - [engine-core] stop SPM command is sent although host is not SPM cause Secure ERROR on vdsm.log
[engine-core] stop SPM command is sent although host is not SPM cause Secure ...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
x86_64 Linux
unspecified Severity medium
: ---
: 3.1.0
Assigned To: Ayal Baron
Haim
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-23 07:12 EDT by Haim
Modified: 2016-02-10 12:11 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-03 07:24:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Haim 2012-07-23 07:12:31 EDT
Description of problem:

host which is not really SPM but only appears as SPM in the data-base (when pool is not connected from some reason), when I issue the maintenance host command from GUI, engine sends the following commands:

spmStop
disconnectStoragePool
disconnectStorageServer

the first command will fail on host since its not SPM, and it requires access to meta-data (spmStop requires host to be SPM), and fail with the following error:


Thread-57941::INFO::2012-07-23 17:06:33,267::logUtils::37::dispatcher::(wrapper) Run and protect: spmStop(spUUID='947784d8-d402-11e1-9b0a-001a4a16970e', options=None)
Thread-57941::DEBUG::2012-07-23 17:06:33,268::resourceManager::175::ResourceManager.Request::(__init__) ResName=`Storage.947784d8-d402-11e1-9b0a-001a4a16970e`ReqID=`29e9d451-e97f-4acf-9663-8b23cdc05ea7`::Reques
t was made in '/usr/share/vdsm/storage/resourceManager.py' line '485' at 'registerResource'
Thread-57941::DEBUG::2012-07-23 17:06:33,268::resourceManager::486::ResourceManager::(registerResource) Trying to register resource 'Storage.947784d8-d402-11e1-9b0a-001a4a16970e' for lock type 'exclusive'
Thread-57941::DEBUG::2012-07-23 17:06:33,269::resourceManager::528::ResourceManager::(registerResource) Resource 'Storage.947784d8-d402-11e1-9b0a-001a4a16970e' is free. Now locking as 'exclusive' (1 active user
)
Thread-57941::DEBUG::2012-07-23 17:06:33,269::resourceManager::212::ResourceManager.Request::(grant) ResName=`Storage.947784d8-d402-11e1-9b0a-001a4a16970e`ReqID=`29e9d451-e97f-4acf-9663-8b23cdc05ea7`::Granted r
equest
Thread-57941::DEBUG::2012-07-23 17:06:33,270::task::817::TaskManager.Task::(resourceAcquired) Task=`b3510598-1e06-4f7e-80ad-591dd240e61b`::_resourcesAcquired: Storage.947784d8-d402-11e1-9b0a-001a4a16970e (exclu
sive)
Thread-57941::DEBUG::2012-07-23 17:06:33,270::task::978::TaskManager.Task::(_decref) Task=`b3510598-1e06-4f7e-80ad-591dd240e61b`::ref 1 aborting False
Thread-57941::ERROR::2012-07-23 17:06:33,271::task::853::TaskManager.Task::(_setError) Task=`b3510598-1e06-4f7e-80ad-591dd240e61b`::Unexpected error
Traceback (most recent call last):
  File "/usr/share/vdsm/storage/task.py", line 861, in _run
    return fn(*args, **kargs)
  File "/usr/share/vdsm/logUtils.py", line 38, in wrapper
    res = f(*args, **kwargs)
  File "/usr/share/vdsm/storage/hsm.py", line 521, in spmStop
    pool.stopSpm()
  File "/usr/share/vdsm/storage/securable.py", line 61, in wrapper
    raise SecureError()
SecureError
Thread-57941::DEBUG::2012-07-23 17:06:33,272::task::872::TaskManager.Task::(_run) Task=`b3510598-1e06-4f7e-80ad-591dd240e61b`::Task._run: b3510598-1e06-4f7e-80ad-591dd240e61b ('947784d8-d402-11e1-9b0a-001a4a169
70e',) {} failed - stopping task
Thread-57941::DEBUG::2012-07-23 17:06:33,272::task::1199::TaskManager.Task::(stop) Task=`b3510598-1e06-4f7e-80ad-591dd240e61b`::stopping in state preparing (force False)
Thread-57941::DEBUG::2012-07-23 17:06:33,272::task::978::TaskManager.Task::(_decref) Task=`b3510598-1e06-4f7e-80ad-591dd240e61b`::ref 1 aborting True
Thread-57941::INFO::2012-07-23 17:06:33,273::task::1157::TaskManager.Task::(prepare) Task=`b3510598-1e06-4f7e-80ad-591dd240e61b`::aborting: Task is aborted: u'' - code 100
Thread-57941::DEBUG::2012-07-23 17:06:33,273::task::1162::TaskManager.Task::(prepare) Task=`b3510598-1e06-4f7e-80ad-591dd240e61b`::Prepare: aborted: 
Thread-57941::DEBUG::2012-07-23 17:06:33,274::task::978::TaskManager.Task::(_decref) Task=`b3510598-1e06-4f7e-80ad-591dd240e61b`::ref 0 aborting True
Thread-57941::DEBUG::2012-07-23 17:06:33,274::task::913::TaskManager.Task::(_doAbort) Task=`b3510598-1e06-4f7e-80ad-591dd240e61b`::Task._doAbort: force False
Thread-57941::DEBUG::2012-07-23 17:06:33,275::resourceManager::844::ResourceManager.Owner::(cancelAll) Owner.cancelAll requests {}
Thread-57941::DEBUG::2012-07-23 17:06:33,275::task::588::TaskManager.Task::(_updateState) Task=`b3510598-1e06-4f7e-80ad-591dd240e61b`::moving from state preparing -> state aborting
Thread-57941::DEBUG::2012-07-23 17:06:33,275::task::537::TaskManager.Task::(__state_aborting) Task=`b3510598-1e06-4f7e-80ad-591dd240e61b`::_aborting: recover policy none
Thread-57941::DEBUG::2012-07-23 17:06:33,276::task::588::TaskManager.Task::(_updateState) Task=`b3510598-1e06-4f7e-80ad-591dd240e61b`::moving from state aborting -> state failed
Thread-57941::DEBUG::2012-07-23 17:06:33,276::resourceManager::809::ResourceManager.Owner::(releaseAll) Owner.releaseAll requests {} resources {'Storage.947784d8-d402-11e1-9b0a-001a4a16970e': < ResourceRef 'Sto
rage.947784d8-d402-11e1-9b0a-001a4a16970e', isValid: 'True' obj: 'None'>}
Thread-57941::DEBUG::2012-07-23 17:06:33,277::resourceManager::844::ResourceManager.Owner::(cancelAll) Owner.cancelAll requests {}
Thread-57941::DEBUG::2012-07-23 17:06:33,277::resourceManager::538::ResourceManager::(releaseResource) Trying to release resource 'Storage.947784d8-d402-11e1-9b0a-001a4a16970e'
Thread-57941::DEBUG::2012-07-23 17:06:33,278::resourceManager::553::ResourceManager::(releaseResource) Released resource 'Storage.947784d8-d402-11e1-9b0a-001a4a16970e' (0 active users)
Thread-57941::DEBUG::2012-07-23 17:06:33,278::resourceManager::558::ResourceManager::(releaseResource) Resource 'Storage.947784d8-d402-11e1-9b0a-001a4a16970e' is free, finding out if anyone is waiting for it.
Thread-57941::DEBUG::2012-07-23 17:06:33,278::resourceManager::565::ResourceManager::(releaseResource) No one is waiting for resource 'Storage.947784d8-d402-11e1-9b0a-001a4a16970e', Clearing records.
Thread-57941::ERROR::2012-07-23 17:06:33,279::dispatcher::69::Storage.Dispatcher.Protect::(run) 
Traceback (most recent call last):
  File "/usr/share/vdsm/storage/dispatcher.py", line 61, in run
    result = ctask.prepare(self.func, *args, **kwargs)
  File "/usr/share/vdsm/storage/task.py", line 1164, in prepare
    raise self.error
SecureError
Comment 1 Itamar Heim 2013-02-03 07:24:37 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.